%global srcname simplegeneric

Name:           python-%{srcname}
Version:        0.8.1
Release:        %mkrel 16
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

Group:          Development/Python
License:        ZPL
URL:            http://cheeseshop.python.org/pypi/simplegeneric
Source0:        http://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%package -n python3-%{srcname}
Summary:        Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Simple generic functions (similar to Python's own len(), pickle.dump(), etc.)

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%{python3_sitelib}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.8.1-16.mga8
+ Revision: 1531441
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.8.1-15.mga8
+ Revision: 1440320
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 tv <tv> 0.8.1-14.mga7
+ Revision: 1350534
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.8.1-13.mga7
+ Revision: 1290027
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 0.8.1-12.mga7
+ Revision: 1222351
- Rename python-simplegeneric to python2-simplegeneric
- Use python_provide

* Fri Aug 04 2017 tv <tv> 0.8.1-11.mga7
+ Revision: 1134531
- rebuild for new python

* Fri Feb 19 2016 umeabot <umeabot> 0.8.1-10.mga6
+ Revision: 970448
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 0.8.1-9.mga6
+ Revision: 886790
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-8.mga5
+ Revision: 740647
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.1-7.mga5
+ Revision: 729763
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-6.mga5
+ Revision: 688332
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.8.1-5.mga5
+ Revision: 629012
- Rebuild for new Python

* Fri Mar 14 2014 philippem <philippem> 0.8.1-4.mga5
+ Revision: 603894
- add Python3

* Tue Oct 22 2013 umeabot <umeabot> 0.8.1-3.mga4
+ Revision: 544180
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.1-2.mga4
+ Revision: 499376
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.8.1-1.mga4
+ Revision: 460924
- imported package python-simplegeneric

